Subject: Re: bug#41356: closed (Re: bug#41356: Install script fails on Ubuntu 18.04 x86_64: Workaround)

From: Ben Sturmfels <[email-masked]>
Date: Mon, 25 May 2020 21:37:05 +1000

unarchive 41356

On Sun, 17 May 2020, GNU bug Tracking System wrote:

>> ```bash
>> cp: cannot stat '/root/.config/guix/current
>> /lib/systemd/system/gnu-store.mount': No such file or directory
>> chmod: cannot access '/etc/systemd/system/gnu-store.mount': No such file or
>> directory
>> ```
>
> This happens because [0] links to guix-install.sh on (git) master, which
> contains new code to install gnu-store.mount, but then downloads an older
> (release) archive that doesn't contain that file yet.
>
> The above error is harmless, in that there's no regression from 1.1.0.  New
> installations just won't benefit from Guix Advanced System Protection(ZOMG™)
> just yet. ebbf91542269fcb36d64928d4a4992e6afbf2acf avoids the error.

The manual install has a similar issue where in 2.1 Binary Installation
step 5, it asks you to run:

# cp ~root/.config/guix/current/lib/systemd/system/gnu-store.mount \
     ~root/.config/guix/current/lib/systemd/system/guix-daemon.service \
     /etc/systemd/system/

Which confused me during an install with the same "No such file" error
as above. I see that guix-install.sh now includes a conditional around
this `cp`. Perhaps it would be worth a small note in the documentation
to advise that this will issue a harmless error on Guix <= 1.1.1?

Regards,
Ben